Subject: RE: bug#3465: 23.0.94; feature request: be able to log minibuffer messages

From: Drew Adams <[email-masked]>
Date: Sat, 22 Aug 2020 11:11:23 -0700 (PDT)

> > Please reread the bug report.  I don't think it's hard
> > to understand the request: Be able to also log
> > `minibuffer-message' output.
> 
> Please re-read what I responded.  Which part of it
> contradicts what you requested?
> 
> > And obviously WITHOUT calling `message', which is not
> > logging `minibuffer-message' but logging `message',
> > and which adds the UI effect of `message'.
> 
> The UI effect of 'message' can be easily disabled by the Lisp program
> which calls 'message', which in effect converts 'message' into a
> logging function.  Include that in the code that calls
> 'minibuffer-message', and you have what you wanted, no?

Please read what you just responded to again.

The request is to be able to have `minibuffer-message'
output logged, WITHOUT calling `message'.

You seem to keep repeating that we can have the effect
of logging the text (and have the UI effect of only
`minibuffer-message') by ALSO calling `message'.

That's not the request.  It's not about whether one
can get the effect of logging `minibuffer-message'
output without also logging a `message' output for
the same text.

It's about simply controlling logging for
`minibuffer-message', totally, completely, independent
of any use of `message'.

IOW, please forget about `message'.  The request is
for a simple way to (optionally) log output of 
`minibuffer-message', just as we do, for example for
`message' output.  And without recourse to any call
to `message' - no workaround, just a simple way to
log `minibuffer-message'.  We have such a way for
`message' output.  The request is for such a way for
`minibuffer-message' output - totally independent
from `message'.

> > Eli seems to have clearly misunderstood the request.
> 
> Please don't second-guess my misunderstandings.  It is rude, to say
> the least.

Fair enough to say that I do think you've misundertood?

Perhaps you prefer RMS's favorite way to put it: "We
seem to be miscommunicating."

You reply that what I say is obvious to all and doesn't
need to be said.  I reply that I think you're not
getting what I'm saying.  You reply that there's a
workaround (which I could say is obvious to all and
doesn't need to be reiterated).

I reply that I'm aware of that workaround, and I'm
asking for a _simple_ way to do what's requested,
along the lines of what's available for `message',
for instance.

> > Please reopen this enhancement request.  It's simply
> > a request to _be able to_ log `minibuffer-message'
> > output.  Not a big deal.
> 
> You are already able to do that, AFAICT.

Not simply.  Not in a way similar or analogous to
what we can do for `message'.   Not without jumping
through a hoop - also calling `message'.

Please keep `message' out of it.  This request is
about `minibuffer-message'.